org.apache.nutch.storage

## Enum WebPage.Field

- java.lang.Object
- - java.lang.Enum<WebPage.Field>
  - - org.apache.nutch.storage.WebPage.Field

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<WebPage.Field>
  Enclosing class:
    WebPage

      public static enum WebPage.Field
      extends java.lang.Enum<WebPage.Field>

  Enum containing all data bean's fields.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASE_URL`
    `BATCH_ID`
    `CONTENT`
    `CONTENT_TYPE`
    `FETCH_INTERVAL`
    `FETCH_TIME`
    `HEADERS`
    `INLINKS`
    `MARKERS`
    `METADATA`
    `MODIFIED_TIME`
    `OUTLINKS`
    `PARSE_STATUS`
    `PREV_FETCH_TIME`
    `PREV_MODIFIED_TIME`
    `PREV_SIGNATURE`
    `PROTOCOL_STATUS`
    `REPR_URL`
    `RETRIES_SINCE_FETCH`
    `SCORE`
    `SIGNATURE`
    `SITEMAPS`
    `STATUS`
    `STM_PRIORITY`
    `TEXT`
    `TITLE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIndex()` Gets field's index.
    `java.lang.String` | `getName()` Gets field's name.
    `java.lang.String` | `toString()` Gets field's attributes to string.
    `static WebPage.Field` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static WebPage.Field[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BASE_URL

          public static final WebPage.Field BASE_URL

    - #### STATUS

          public static final WebPage.Field STATUS

    - #### FETCH_TIME

          public static final WebPage.Field FETCH_TIME

    - #### PREV_FETCH_TIME

          public static final WebPage.Field PREV_FETCH_TIME

    - #### FETCH_INTERVAL

          public static final WebPage.Field FETCH_INTERVAL

    - #### RETRIES_SINCE_FETCH

          public static final WebPage.Field RETRIES_SINCE_FETCH

    - #### MODIFIED_TIME

          public static final WebPage.Field MODIFIED_TIME

    - #### PREV_MODIFIED_TIME

          public static final WebPage.Field PREV_MODIFIED_TIME

    - #### PROTOCOL_STATUS

          public static final WebPage.Field PROTOCOL_STATUS

    - #### CONTENT

          public static final WebPage.Field CONTENT

    - #### CONTENT_TYPE

          public static final WebPage.Field CONTENT_TYPE

    - #### PREV_SIGNATURE

          public static final WebPage.Field PREV_SIGNATURE

    - #### SIGNATURE

          public static final WebPage.Field SIGNATURE

    - #### TITLE

          public static final WebPage.Field TITLE

    - #### TEXT

          public static final WebPage.Field TEXT

    - #### PARSE_STATUS

          public static final WebPage.Field PARSE_STATUS

    - #### SCORE

          public static final WebPage.Field SCORE

    - #### REPR_URL

          public static final WebPage.Field REPR_URL

    - #### HEADERS

          public static final WebPage.Field HEADERS

    - #### OUTLINKS

          public static final WebPage.Field OUTLINKS

    - #### INLINKS

          public static final WebPage.Field INLINKS

    - #### MARKERS

          public static final WebPage.Field MARKERS

    - #### METADATA

          public static final WebPage.Field METADATA

    - #### BATCH_ID

          public static final WebPage.Field BATCH_ID

    - #### SITEMAPS

          public static final WebPage.Field SITEMAPS

    - #### STM_PRIORITY

          public static final WebPage.Field STM_PRIORITY

  - ### Method Detail

    - #### values

          public static WebPage.Field[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WebPage.Field c : WebPage.Field.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WebPage.Field valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getIndex

          public int getIndex()

      Gets field's index.
      Returns:
        int field's index.

    - #### getName

          public java.lang.String getName()

      Gets field's name.
      Returns:
        String field's name.

    - #### toString

          public java.lang.String toString()

      Gets field's attributes to string.
      Overrides:
        `toString` in class `java.lang.Enum<WebPage.Field>`
      Returns:
        String field's attributes to string.

Copyright © 2019 The Apache Software Foundation